[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCServer.OnMessage

Event triggered when a message arrives

## Declaration

Source position: simpleipc.pp line 115

`published property TSimpleIPCServer.OnMessage : TNotifyEvent read FOnMessage write FOnMessage;`

## Description

OnMessage is called by ReadMessage when a message has been read. The actual message data can be retrieved with one of the StringMessage, MsgData or MsgType properties.

## See also

StringMessage |  | Last message as a string.
MsgData |  | Last message data
MsgType |  | Last message type

Documentation generated on: Feb 26 2014